#include <iostream>
#include <conio.h>
#include <AudioDevice.hpp>
#include <stdlib.h>

int main()
{
    std::cout<<"welcome to use GAudio!"<<std::endl;
	//! init audio device.
	core::AudioDevice *device = core::InitAudioDevice();

    //! get audio source pointer
    core::AudioSource* source = device->GetAudioSource();
    source->SetVolume(0.8);

    //! play 
    source->AttachFiler(core::AUDIO_FILTER_TYPE_LOWPASS);
    std::cout<<"play:"<<source->Play("..\\audio//theme.wav",false)<<std::endl;
    source->EnableEffect(core::AUDIO_EFFECT_TYPE_EFXREVERB);

    while(1)
    {
        if(!source->IsPlay())
           break;
    }

	core::TerminateAudioDevice();
    system("pause");

    return EXIT_SUCCESS;
}

